Skip to content
GET /search-new-projects

Search off-plan and new development projects

Description

Search for new development projects and off-plan properties in UAE. Filter by location, property type, bedrooms, price range, and delivery date. Returns parsed, structured data.

Parameters

Name Type Required Description Example
location_id string Required - Location ID from `/autocomplete-location` endpoint - Example: `50` (Dubai Marina), `51` (Downtown Dubai) - Get IDs by searching location names first 50
property_type string Optional - Type of property to search - Common: `apartment`, `villa`, `penthouse` - All options: `apartment`, `villa`, `townhouse`, `penthouse`, `compound`, `duplex`, `full-floor`, `half-floor`, `whole-building`, `bulk-rent-unit`, `bungalow`, `hotel-apartment` apartment
bedrooms string Optional - Number of bedrooms as comma-separated values - Use `0` for studio apartments - Example: `0,1,2` for studio, 1-bed and 2-bed - Note: Bathrooms filter not available for new projects 0,1,2
price_min string Optional - Minimum price in AED - Examples: `500000`, `1000000`, `2000000` 500000
price_max string Optional - Maximum price in AED - Examples: `1000000`, `3000000`, `5000000` 3000000
area_min string Optional - Minimum property area in sqft - Examples: `500`, `1000`, `2000` 500
area_max string Optional - Maximum property area in sqft - Examples: `1000`, `2000`, `5000` 3000
sort string Optional - Sort order for results - Options: `featured`, `newest`, `price_asc`, `price_desc`, `delivery_earliest`, `delivery_latest` - Default: `featured` featured
page string Optional - Page number for pagination - Default: `1` - Examples: `1`, `2`, `3` 1

Code Examples

curl --request GET \
  --url 'https://propertyfinder-uae-data.p.rapidapi.com/search-new-projects?location_id=50' \
  --header 'x-rapidapi-host: propertyfinder-uae-data.p.rapidapi.com' \
  --header 'x-rapidapi-key: YOUR_API_KEY'

Example Response

Response
{
  "success": true,
  "data": [
    {
      "name": "Residences Du Port Autograph Collection",
      "listing_id": "a759fec7-4d0f-4b6a-bda8-70dfc0096fd2",
      "location": {
        "full_name": "Residences Du Port, Dubai Marina, Dubai"
      },
      "bedrooms": [
        1,
        2
      ],
      "price_from": 2588000,
      "images": [
        "https://new-projects-media.propertyfinder.com/project/small.webp"
      ],
      "delivery_date": "2026-06-06T10:54:00Z",
      "developer_name": "The Devmark Group",
      "construction_phase": "under_construction",
      "sales_start_date": "2025-06-06T10:54:00Z",
      "effective_price": 2588000,
      "property_type": "apartment"
    }
  ]
}

Try this endpoint now

Subscribe to PropertyfinderAPI on RapidAPI and start making requests in minutes.